Subject: [RFC v2] dmaengine: omap-dma: Start DMA without delay for cyclic channels

From: [email-masked] (Tony Lindgren)
Date: Mon, 8 Apr 2013 10:15:19 -0700

* Russell King - ARM Linux <[email-masked]> [130408 10:15]:
> On Mon, Apr 08, 2013 at 09:11:04AM +0200, Peter Ujfalusi wrote:
> > Russell,
> > 
> > On 04/03/2013 01:17 PM, Peter Ujfalusi wrote:
> > > cyclic DMA is only used by audio which needs DMA to be started without a
> > > delay.
> > > If the DMA for audio is started using the tasklet we experience random
> > > channel switch (to be more precise: channel shift).
> > > 
> > > Reported-by: Peter Meerwald <[email-masked]>
> > > Signed-off-by: Peter Ujfalusi <[email-masked]>
> > > ---
> > > Hi Russell,
> > > 
> > > Instead of removing the tasklet we can identify the DMA channel used by audio
> > > based on the cyclic flag of the channel.
> > > I think this can be used as a short term solution to fix the audio channel shift
> > > issue and later when we have the dynamic DMA channel allocation we can adjust
> > > the code.
> > 
> > Could you, please look at this patch?
> 
> Now that I'm back from a short 4 day break, then yes, and the answer is
> that it's fine.  Who's handling the patch?

I suggest Peter resend the patch with also Grant + Linus W cc:d so
they can queue it unless there are other related patches pending
somewhere else.

Regards,

Tony